import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.util.ArrayList;
import java.util.Iterator;


/**
 * Ein Tisch, der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * 
 * @author Claus Albowski
 * @version (20.05.07)
 */
public class Gruppe extends Moebel
{
   protected ArrayList<Moebel> moebelListe;

  /**
   * Erzeuge eine neue Gruppe mit einer Standardfarbe an einer
   * Standardposition.
   */
    public Gruppe()
  {
    xPosition = 0;
    yPosition = 0;
    orientierung = 0;
    farbe = "blau";
    istSichtbar = false;
    moebelListe = new ArrayList();
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath tischgruppe = new GeneralPath();
      for (Iterator<Moebel> it=moebelListe.iterator();it.hasNext();){
        tischgruppe.append(it.next().gibAktuelleFigur(), false);
      }
      return  transformiere(tischgruppe);
  }


  /**
   * fuegt ein Moebel hinzu.
   */
  public void fuegeHinzu(Moebel moebel){
      moebelListe.add(moebel);
    }
    
}
